Start the Google OAuth consent flow for a connection
curl --request GET \
--url https://use.hoop.dev/api/connections/{nameOrID}/federation/oauth/authorizeimport requests
url = "https://use.hoop.dev/api/connections/{nameOrID}/federation/oauth/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://use.hoop.dev/api/connections/{nameOrID}/federation/oauth/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://accounts.google.com/o/oauth2/auth?client_id=...&state=..."
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}Federation
Start the Google OAuth consent flow for a connection
Returns the Google consent URL for the authenticated user to connect their Google account to a gcp_oauth-federated connection. The browser should be redirected to the returned URL; Google redirects back to the gateway callback, which stores the resulting refresh token.
GET
/
connections
/
{nameOrID}
/
federation
/
oauth
/
authorize
Start the Google OAuth consent flow for a connection
Path Parameters
Name or UUID of the connection
Query Parameters
URL to return the browser to after consent (must match the API hostname)
Response
OK
URL is the Google OAuth consent URL to redirect the user's browser to.
Example:
"https://accounts.google.com/o/oauth2/auth?client_id=...&state=..."
Was this page helpful?